/*
//FILENAME:AccAdd.java
//CLASSES:AccAdd
//AUTHOR:Donovan Walker
//CLASS:CSE445 FALL 2K Grad Project
*/

import java.io.*;
import java.util.*;


class AccAdd
{
	
	//CONSTRUCTORS 
	
	AccAdd()
	{
		vAccounts = new Vector(10,10);
	}

	
	//METHODS
	
	public void display()
	{
		BankAccount baAccount;
		
		System.out.println("\ncurrent accounts in " + BANKID + FILENAME);
		for(int i = 0; i < vAccounts.size(); i++)
		{
			baAccount = (BankAccount)vAccounts.get(i); 
			System.out.println("Account " + i + "Name:" + baAccount.getName() + " Num:" + baAccount.getNum() + " Bal:" + baAccount.getBalance());
		}
	}
	
	
	public Vector loadAccounts() //DONE
	{
		Vector tempV = new Vector(10, 10); //
		
		try
		{
		//	ObjectInputStream in = new ObjectInputStream(new FileInputStream(BANKID + FILENAME));
		//	tempV = (Vector)in.readObject();
		//	in.close();
			return (tempV);
		}
		catch(Exception e)
		{
			System.out.print("Error: " + e);
			return (tempV);
		}
	}

	
	

	//Uses this class to create and account and save it
	//args[0] = inName, args[1] = inPassword, args[2] = inAccNum, args[3] = inBalance
	public static void main(String[] args)
	{
		
		float fBalance;
		AccAdd TAC = new AccAdd();
		

		TAC.vAccounts = TAC.loadAccounts();
		
		if(args.length > 3)
		{
			fBalance = (new Float(args[3])).floatValue();
			TAC.newAccount(args[0], args[1], args[2], fBalance);
			TAC.saveAccounts();
		}
		else 
		{
			System.out.println("Please use the following arguments to create a new account");
			System.out.println("args[0] = inName, args[1] = inPassword");
			System.out.println("args[2] = inAccNum, args[3] = inBalance");
		}
		
		TAC.display();

	}
	
	
	//Create a new account @ this bank
	public void newAccount(String inName, String inPassword, String inAccNum, float inBalance) //DONE
	{
		BankAccount baAccount = new BankAccount(inName, inPassword, (BANKID + inAccNum), inBalance);
		vAccounts.add(baAccount);
	}
		
	
	
	//Saves accounts in vAccounts to file (BANKID + FILENAME) in object format...
	public boolean saveAccounts() //DONE
	{
		try
		{
			ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream(BANKID + FILENAME));
			out.writeObject(vAccounts);
			out.close();
			return (true);
		}
		catch(Exception e)
		{
			System.out.print("Error: " + e);
			return (false);
		}
	}
	
	
	//VARIABLES
	
	Vector vAccounts;
	
	//CONSTANTS
	
	public static final String FILENAME = "accounts.bdf";
	public static final String BANKID   = "5678";
	
	
}

