/*
//FILENAME:.java
//CLASSES:
//AUTHOR:Donovan Walker
//CLASS:CSE
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
 
class BankSwitchFrame extends JFrame
{ 
	
	//CONSTRUCTORS
	
	public BankSwitchFrame(BankSwitch inBS)
  {  
			
		setTitle(DEFAULT_FRAME_HEADER);
    setSize(300, 300);
  
		bs = inBS;
		
		addWindowListener(new WindowAdapter()
    {  
			public void windowClosing(WindowEvent e)
      { 
				bs.closeLog();
				System.exit(0);
      }
    }
		);
      
    Container contentPane = getContentPane();

    JPanel panel = new JPanel();
      
    JButton jbExit = new JButton(EXIT);
    panel.add(jbExit);
    jbExit.addActionListener(new ActionListener()
    {  
			public void actionPerformed(ActionEvent evt)
			{
				bs.closeLog();
				System.exit(0);
      }
    }
		);

    jtTextArea = new JTextArea(8, 40);
    jsScrollPane = new JScrollPane(jtTextArea);

    contentPane.add(panel, "South");
    contentPane.add(jsScrollPane, "Center");
  }
	
	
	//adds transactions to the transaction screen
	public synchronized void addLog(String inLog)
	{
		jtTextArea.append(inLog + "\n");
	}

	
	//VARIABLES
	
	private BankSwitch  bs;
  private JScrollPane jsScrollPane;
  private JTextArea jtTextArea;
 	
	
	//CONSTANTS
	public static String DEFAULT_FRAME_HEADER = "Bank Switch";
	public static String EXIT									= "Exit";

}

   
