/*
//FILENAME:BankTransactionInterface.java
//INTERFACES:BankTransationInterface
//AUTHOR:Donovan Walker
//CLASS:CSE445 FALL 2K Grad Project
//
//DESCRIPTION:Intended to allow a transaction manager running a network of banks to
//call a bank with these methods and get return values for the account
*/

import java.rmi.*;
import Transaction;

public interface BankTransactionInterface extends java.rmi.Remote
{
	
	public String getRemoteBalance(Transaction inAccount) throws java.rmi.RemoteException;

	public String getRemoteCash(Transaction inAccount) throws java.rmi.RemoteException;
	
	public String getBankId() throws java.rmi.RemoteException;
	
}

