/*
//FILENAME:TransactionInterface.java
//Interfaces: TransactionInterface
//AUTHOR:Donovan Walker
//CLASS:CSE445 FALL 2K Grad Project
*/

import java.rmi.*;
import Transaction;

public interface TransactionInterface extends java.rmi.Remote
{
	
	boolean join(BankTransactionInterface inBTI) throws java.rmi.RemoteException;
	
	String getRemoteBalance(Transaction inAccount) throws java.rmi.RemoteException;
	
	String getRemoteCash(Transaction inAccount) throws java.rmi.RemoteException;
	
	void remove(String inBankId) throws java.rmi.RemoteException;

}

