/*
//FILENAME:.java
//CLASSES:
//AUTHOR:Donovan Walker
//CLASS:CSE
*/

import Bank;
import java.io.*;
import java.util.*;


class TestB
{
	
	//CONSTRUCTORS 
	
	TestB()
	{
		vAccounts = new Vector(10,10);
	}

	
	//METHODS
	
	public void display()
	{
		BankAccount baAccount;
		
		System.out.println("current accounts in " + BANKID + FILENAME);
		for(int i = 0; i < vAccounts.size(); i++)
		{
			baAccount = (BankAccount)vAccounts.get(i); 
			System.out.println("Account " + i + "Name:" + baAccount.getName() + " Num:" + baAccount.getNum() + " Bal:" + baAccount.getBalance());
		}
	}
	
	
	public Vector loadAccounts() //DONE
	{
		Vector tempV = new Vector(10, 10); //
		
		try
		{
			ObjectInputStream in = new ObjectInputStream(new FileInputStream(BANKID + FILENAME));
			tempV = (Vector)in.readObject();
			in.close();
			return (tempV);
		}
		catch(Exception e)
		{
			System.out.print("Error: " + e);
			return (tempV);
		}
	}

	
	public static void main(String[] args)
	{
		Bank bank = new Bank("1234", (null));
		
		bank.display();
		
		System.out.println("\n" + bank.getCash(("1235" + "78877"), "hi", 100));
		System.out.println("\n" + bank.getBalace((BANKID + "34499"), "HI"));
		
		bank.saveAccounts();
		
		bank.display();
		/*
		float fBalance;
		TestB TAC = new TestB();

		TAC.vAccounts = TAC.loadAccounts();
		
		if(args.length > 3)
		{
			fBalance = (new Float(args[3])).floatValue();
			TAC.newAccount(args[0], args[1], args[2], fBalance);
			TAC.saveAccounts();
		}
		
		TAC.display();
		*/
	}
	
	public void newAccount(String inName, String inPassword, String inAccNum, float inBalance) //DONE
	{
		BankAccount baAccount = new BankAccount(inName, inPassword, (BANKID + inAccNum), inBalance);
		vAccounts.add(baAccount);
	}
	
	
	public boolean saveAccounts() //DONE
	{
		try
		{
			ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream(FILENAME));
			out.writeObject(vAccounts);
			out.close();
			return (true);
		}
		catch(Exception e)
		{
			System.out.print("Error: " + e);
			return (false);
		}
	}
	
	
	//VARIABLES
	
	public Vector vAccounts;
	
	//CONSTANTS
	
	public static final String FILENAME = "accounts.bdf";
	public static final String BANKID   = "1234";
	
}

